# Uses of Interface
org.codehaus.janino.Visitor.TypeVisitor

Packages that use Visitor.TypeVisitor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Visitor.TypeVisitor in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Visitor.TypeVisitor
Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
Java.ArrayType.`accept(Visitor.TypeVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
Java.PrimitiveType.`accept(Visitor.TypeVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
Java.ReferenceType.`accept(Visitor.TypeVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
Java.RvalueMemberType.`accept(Visitor.TypeVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
Java.SimpleType.`accept(Visitor.TypeVisitor<R,EX> visitor)`
`abstract <R, EX extends Throwable>
R`
Java.Type.`accept(Visitor.TypeVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeVisitor` for the concrete `Java.Type` type.